package de.jottyfan.bico.modules.download;

import static de.jottyfan.bico.db.public_.Tables.V_CALENDAR;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.jooq.DSLContext;
import org.jooq.SelectWhereStep;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import de.jottyfan.bico.db.public_.tables.records.VCalendarRecord;

/**
 *
 * @author jotty
 *
 */
@Repository
public class DownloadRepository {
	private static final Logger LOGGER = LogManager.getLogger(DownloadRepository.class);

	@Autowired
	private DSLContext jooq;

	public String getCsv() {
		SelectWhereStep<VCalendarRecord> sql = jooq.selectFrom(V_CALENDAR);
		LOGGER.trace(sql);
		return sql.fetch().formatCSV();
	}
}
